Bug 873680 - Creating a consumer with blank sockets results in missing system
Creating a consumer with blank sockets results in missing system
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Jordan OMara
Katello QA List
: Triaged
Depends On:
Blocks: 874182
  Show dependency treegraph
 
Reported: 2012-11-06 08:27 EST by Justin Sherrill
Modified: 2014-11-09 17:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 874182 (view as bug list)
Environment:
Last Closed: 2013-09-19 14:09:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2012-11-06 08:27:17 EST
Description of problem:
Seen in master.

Steps to Reproduce:
1.  Create a system in the UI, but leave sockets completely blank.
2.  A pop up will say that the system did not match search critera 
3.  Refreshing the page will not show the system.
  

I believe the cause is in system.rb:

indexes :sockets, :type => 'integer'


I think that via the UI an empty string is being passed to it when that field is blank, which is not an integer.
Comment 2 Jordan OMara 2012-11-09 11:12:53 EST
https://github.com/Katello/katello/pull/1020
Comment 3 Mike McCune 2013-08-16 13:51:27 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 4 Mike McCune 2013-09-19 14:09:10 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.